Page MenuHomePhabricator

[AArch64] Correct sinking of shuffles to adds/subs
ClosedPublic

Authored by dmgreen on Aug 6 2021, 12:51 AM.

Details

Summary

This was checking extends as shuffles, where as we should be checking the operands. This helps sink the shuffles, creating more addl/subl instructions.

Diff Detail

Event Timeline

dmgreen created this revision.Aug 6 2021, 12:51 AM
dmgreen requested review of this revision.Aug 6 2021, 12:51 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 6 2021, 12:51 AM
dmgreen updated this revision to Diff 365141.Aug 9 2021, 3:39 AM

Update sink-free-instructions-inseltpoison.ll too.

NickGuy accepted this revision.Aug 10 2021, 3:31 AM

LGTM

This revision is now accepted and ready to land.Aug 10 2021, 3:31 AM
This revision was landed with ongoing or failed builds.Aug 10 2021, 5:25 AM
This revision was automatically updated to reflect the committed changes.